BatchInserters (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.unsafe.batchinsert

## Class BatchInserters

- java.lang.Object
- - org.neo4j.unsafe.batchinsert.BatchInserters

-     public final class BatchInserters
      extends Object

  Provides instances of batch inserters.

  A `BatchInserter` retrieved from the `inserter(String)` or `inserter(String, Map)` methods is more performant while the `GraphDatabaseService` retrievied from `batchDatabase(String)` or `batchDatabase(String, Map)` methods is there for convenience, so you can reuse existing code.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchInserters()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GraphDatabaseService` | `batchDatabase(String storeDir)` Get a `GraphDatabaseService` that does not support deletions and transactions.
    `static GraphDatabaseService` | `batchDatabase(String storeDir, org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction fileSystem)` Get a `GraphDatabaseService` that does not support deletions and transactions.
    `static GraphDatabaseService` | `batchDatabase(String storeDir, org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction fileSystem, Map<String,String> config)` Get a `GraphDatabaseService` that does not support deletions and transactions.
    `static GraphDatabaseService` | `batchDatabase(String storeDir, org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction fileSystem, Map<String,String> config, Iterable<org.neo4j.kernel.extension.KernelExtensionFactory<?>> kernelExtensions)`
    `static GraphDatabaseService` | `batchDatabase(String storeDir, Map<String,String> config)` Get a `GraphDatabaseService` that does not support deletions and transactions.
    `static BatchInserter` | `inserter(String storeDir)` Get a `BatchInserter` given a store directory.
    `static BatchInserter` | `inserter(String storeDir, org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction fileSystem)` Get a `BatchInserter` given a store directory.
    `static BatchInserter` | `inserter(String storeDir, org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction fileSystem, Map<String,String> config)` Get a `BatchInserter` given a store directory.
    `static BatchInserter` | `inserter(String storeDir, org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction fileSystem, Map<String,String> config, Iterable<org.neo4j.kernel.extension.KernelExtensionFactory<?>> kernelExtensions)`
    `static BatchInserter` | `inserter(String storeDir, Map<String,String> config)` Get a `BatchInserter` given a store directory.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchInserters

          public BatchInserters()

  - ### Method Detail

    - #### inserter

          public static BatchInserter inserter(String storeDir)

      Get a `BatchInserter` given a store directory.
      Parameters:
        `storeDir` - the store directory
      Returns:
        a new `BatchInserter`

    - #### inserter

          public static BatchInserter inserter(String storeDir,
                               Map<String,String> config)

      Get a `BatchInserter` given a store directory.
      Parameters:
        `storeDir` - the store directory
        `config` - configuration settings to use
      Returns:
        a new `BatchInserter`

    - #### inserter

          public static BatchInserter inserter(String storeDir,
                               org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction fileSystem)

      Get a `BatchInserter` given a store directory.
      Parameters:
        `storeDir` - the store directory
      Returns:
        a new `BatchInserter`

    - #### inserter

          public static BatchInserter inserter(String storeDir,
                               org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction fileSystem,
                               Map<String,String> config)

      Get a `BatchInserter` given a store directory.
      Parameters:
        `storeDir` - the store directory
        `config` - configuration settings to use
      Returns:
        a new `BatchInserter`

    - #### inserter

          public static BatchInserter inserter(String storeDir,
                               org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction fileSystem,
                               Map<String,String> config,
                               Iterable<org.neo4j.kernel.extension.KernelExtensionFactory<?>> kernelExtensions)

    - #### batchDatabase

          public static GraphDatabaseService batchDatabase(String storeDir)

      Get a `GraphDatabaseService` that does not support deletions and transactions.
      Parameters:
        `storeDir` - the store directory
      Returns:
        a `GraphDatabaseService` that does not support deletions and transactions

    - #### batchDatabase

          public static GraphDatabaseService batchDatabase(String storeDir,
                                           Map<String,String> config)

      Get a `GraphDatabaseService` that does not support deletions and transactions.
      Parameters:
        `storeDir` - the store directory
        `config` - configuration settings to use
      Returns:
        a `GraphDatabaseService` that does not support deletions and transactions

    - #### batchDatabase

          public static GraphDatabaseService batchDatabase(String storeDir,
                                           org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction fileSystem)

      Get a `GraphDatabaseService` that does not support deletions and transactions.
      Parameters:
        `storeDir` - the store directory
      Returns:
        a `GraphDatabaseService` that does not support deletions and transactions

    - #### batchDatabase

          public static GraphDatabaseService batchDatabase(String storeDir,
                                           org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction fileSystem,
                                           Map<String,String> config)

      Get a `GraphDatabaseService` that does not support deletions and transactions.
      Parameters:
        `storeDir` - the store directory
        `config` - configuration settings to use
      Returns:
        a `GraphDatabaseService` that does not support deletions and transactions

    - #### batchDatabase

          public static GraphDatabaseService batchDatabase(String storeDir,
                                           org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction fileSystem,
                                           Map<String,String> config,
                                           Iterable<org.neo4j.kernel.extension.KernelExtensionFactory<?>> kernelExtensions)

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.